Urgent help with Live API

I am having a problem with my API in that I have to constantly be requesting a new auth token everytime I run a new request which seems very redundant.

I keep getting the error below and I am frustrated because the development API was working perfectly

It is probably using one of the OAuth authentification methods, which relies on token having an expiration time.
Check the API documentation, you may have to request the token to issue an authorise request to the target API.

If that’s a simple OAuth1.0a Authentification Header Token to generate, there is a plugin for that.